reset

set multiplot

set size 0.5 , 1
set xran [-4:4]

##############################

# Drift

set origin 0 , 0
set xlabel 'x'
set ylabel 'D1'

d1(x,y) = x*(exp(-g*y)-1)/y
g = 1.0

plot "drift_3.dat" u 2:3 w li lc rgb 'black' ti 'Estimation', \
     "" u 2:($3+$4) w li lc rgb 'black' lt 0 lw 3 notitle, \
     "" u 2:($3-$4) w li lc rgb 'black' lt 0 lw 3 notitle, \
     "" u 2:(d1($2,$1)) w li lc rgb 'red' ti 'true'
     
###############################

# Diffusion

set origin 0.5 , 0

set xlabel 'x'
set ylabel 'D2'

d2(x,y) = 0.5*( x*x*( exp(-g*y)-1 )**2.0 + d*(1-exp(-2*g*y))/g )/y
d = 1.0

plot "diff_3.dat" u 2:3 w li lc rgb 'black' ti 'Estimation', \
     "" u 2:($3+$4) w li lc rgb 'black' lt 0 lw 3 notitle, \
     "" u 2:($3-$4) w li lc rgb 'black' lt 0 lw 3 notitle, \
     "" u 2:(d2($2,$1)) w li lc rgb 'red' ti 'true'
